﻿using System;
using System.Windows.Forms;

namespace TestCalc {
  static class TestCalc {
    /// <summary>                                                
    /// The main entry point for the application.                
    /// </summary>                                               
    [STAThread]
    static void Main() {
			Evaluator ev = new Evaluator();
			ev.Prepare("curve[0] + curve[1] * curve[2] / curve[3] - curve[4]");
			Double d1 = ev.Evaluate(new Double[] { 1, 2, 3, 4, 5 });
			Double d2 = 1.0 + 2.0 * 3.0 / 4.0 - 5.0;
			MessageBox.Show(d1 + "\r\n" + d2);
    }
  }
}